Subject: Re: [PATCH/RFC] gitperformance: add new documentation about git performance tuning

From: Eric Wong <[email-masked]>
Date: Mon, 3 Apr 2017 22:39:56 +0000

Ævar Arnfjörð Bjarmason <[email-masked]> wrote:
> On Mon, Apr 3, 2017 at 11:34 PM, Eric Wong <[email-masked]> wrote:
> > Ævar Arnfjörð Bjarmason <[email-masked]> wrote:
> >>  - Should we be covering good practices for your repo going forward to
> >>    maintain good performance? E.g. don't have some huge tree all in
> >>    one directory (use subdirs), don't add binary (rather
> >>    un-delta-able) content if you can help it etc.
> >
> > Yes, I think so.
> 
> I'll try to write something up.
> 
> > I think avoiding ever growing ChangeLog-type files should also
> > be added to things to avoid.
> 
> How were those bad specifically? They should delta quite well, it's
> expensive to commit large files but no more because they're
> ever-growing.

It might be blame/annotate specifically, I was remembering this
thread from a decade ago:

  https://public-inbox.org/git/[email-masked]/T/

> One issue with e.g. storing logs (I keep my IRC logs in git) is that
> if you're constantly committing large (text) files without repack your
> .git grows by a *lot* in a very short amount of time until a very
> expensive repack, so now I split my IRC logs by month.

Yep, that too; as auto GC is triggered by the number of loose
objects, not the size/packability of them.